using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain.Share;

[Description("登录或者登出 锁定类型")]
public enum UserOptType
{

    [Description("用户登录")]
    Login = 1,

    [Description("选择登录角色")]
    LoginSelectRole =18,

    [Description("更新用户角色")]
    UpdateUserRole =15,


    [Description("用户登出")]
    LoginOut = 2,

    [Description("账号或者密码错误")]
    AccountOrPasswordError = 3,

    [Description("账号锁定")]
    AccountLocked = 4,

    //账号启用
    AccountEnable = 5,

    //登录锁定账户
    LoginLockedAccount = 6,

    //修改密码
    LoginModifyPassword = 7,

    UnloginModifyPasswoed = 8,

    //admin 重置密码
    ResetPassword = 9,

    UpdateUser = 11,

    MFALogin = 12,

    TempLockLogin = 13,

    AddUser = 14,

    WebUnlock=16,

    /// <summary>
    /// 同意用户协议
    /// </summary>
    AcceptUserAgreement=19,

    /// <summary>
    /// 同意隐私政策
    /// </summary>
    AcceptPrivacyPolicy = 20
}

[Description("影像下载打包状态")]
public enum PackState
{

    [Description("待打包")]
    WaitPack = 0,

    [Description("打包中")]
    Packing = 1,

    [Description("打包完成")]
    Packed = 2
}

[Description("影像确认结果")]
public enum ImageDeterminationResultState
{
    //待定
    None = 0,
    //通过
    Passed = 1,
}

[Description("影像筛选状态")]
public enum ImageFilterState
{
    //默认值 待筛选
    None = 0,

    Filtering = 1,

    //筛选已完成
    Finished = 2
}

public enum ReReadingOrBackOptType
{
    //取消分配
    CancelAssign = 0,

    //失效
    Abandon = 1,

    //重阅重置

    Return = 2,

}

/// <summary>
/// 用户协议类型
/// </summary>
public enum UserAgreementType
{
    /// <summary>
    /// 用户协议
    /// </summary>
    UserAgreement = 0,

    /// <summary>
    /// 隐私采集
    /// </summary>
    PrivacyCollection = 1,

}